CREATE TABLE `SPORTS_AHL_TEAMS_GAME_GOALIES` (
  `season` YEAR NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `win` TINYINT(3) UNSIGNED DEFAULT NULL,
  `loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ot_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shutout` TINYINT(3) UNSIGNED DEFAULT NULL,
  `minutes_played` TIME DEFAULT NULL,
  `so_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`team_id`,`game_type`,`game_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_TEAMS_GAME_SKATERS` (
  `season` YEAR NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `plus_minus` TINYINT(4) DEFAULT NULL,
  `pims` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pp_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_opps` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pk_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pk_kills` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pk_opps` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`team_id`,`game_type`,`game_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_PLAYERS_GAME_GOALIES` (
  `season` YEAR NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci DEFAULT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `start` TINYINT(3) UNSIGNED DEFAULT NULL,
  `win` TINYINT(3) UNSIGNED DEFAULT NULL,
  `loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ot_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shutout` TINYINT(3) UNSIGNED DEFAULT NULL,
  `minutes_played` TIME DEFAULT NULL,
  `so_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`player_id`,`game_type`,`game_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_PLAYERS_GAME_SKATERS` (
  `season` YEAR NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci DEFAULT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `start` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `plus_minus` TINYINT(4) DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gw_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`player_id`,`game_type`,`game_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
